package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块的审核流程步骤对象 t_dk_auditflow_step
 *
 * @author siwei
 * @date 2025-01-20
 */
public class TDkAuditflowStep extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 审核流程类型code
     */
    @Excel(name = "审核流程类型code")
    private String auditflowCode;

    /**
     * 步骤code
     */
    @Excel(name = "步骤code")
    private String stepCode;

    /**
     * 步骤value
     */
    @Excel(name = "步骤value")
    private String stepValue;

    /**
     * 顺序
     */
    @Excel(name = "顺序")
    private Long sort;

    /**
     * 顺序
     */
    @Excel(name = "校验的类名")
    private String checkBean;

    /**
     * 校验的方法，方法参数为：地块基本详情ID(String)、核查类型(String)、创建者ID(String)
     */
    @Excel(name = "校验的方法")
    private String checkMethod;

    @Excel(name = "下一步执行标致。成功")
    private String nextSuccess;
    @Excel(name = "下一步执行标致。失败")
    private String nextFull;
    /**
     * 下一级处理标志
     * <br>
     * 0 按照上一步的结果，进行判定是否成功。验证完更新好，同步将更新上一级执行标志
     * 其他安装正常流程走
     */
    private String nextCheck;
    @Excel(name = "操作类型")
    private String operationType;
    @Excel(name = "操作类型")
    private String operationState;


    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setAuditflowCode(String auditflowCode) {
        this.auditflowCode = auditflowCode;
    }

    public String getAuditflowCode() {
        return auditflowCode;
    }

    public void setStepCode(String stepCode) {
        this.stepCode = stepCode;
    }

    public String getStepCode() {
        return stepCode;
    }

    public void setStepValue(String stepValue) {
        this.stepValue = stepValue;
    }

    public String getStepValue() {
        return stepValue;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getSort() {
        return sort;
    }

    public String getCheckBean() {
        return checkBean;
    }

    public void setCheckBean(String checkBean) {
        this.checkBean = checkBean;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public String getNextSuccess() {
        return nextSuccess;
    }

    public void setNextSuccess(String nextSuccess) {
        this.nextSuccess = nextSuccess;
    }

    public String getNextFull() {
        return nextFull;
    }

    public void setNextFull(String nextFull) {
        this.nextFull = nextFull;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    public String getOperationState() {
        return operationState;
    }

    public void setOperationState(String operationState) {
        this.operationState = operationState;
    }

    public String getNextCheck() {
        return nextCheck;
    }

    public void setNextCheck(String nextCheck) {
        this.nextCheck = nextCheck;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("auditflowCode", getAuditflowCode())
                .append("stepCode", getStepCode())
                .append("stepValue", getStepValue())
                .append("sort", getSort())
                .toString();
    }
}
